# eric4.Preferences.ConfigurationPages.EditorStylesPage

Module implementing the Editor Styles configuration page.

### Global Attributes

None

### Classes

EditorStylesPage | Class implementing the Editor Styles configuration page.

### Functions

create | Module function to create the configuration page.

## EditorStylesPage

Class implementing the Editor Styles configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorStylesPage

### Class Attributes

None

### Class Methods

None

### Methods

EditorStylesPage | Constructor
on_caretForegroundButton_clicked | Private slot to set the foreground colour of the caret.
on_caretlineBackgroundButton_clicked | Private slot to set the background colour of the caretline.
on_currentLineMarkerButton_clicked | Private slot to set the colour for the highlight of the current line.
on_defaultFontButton_clicked | Private method used to select the default font for the editor.
on_edgeBackgroundColorButton_clicked | Private slot to set the colour for the edge background or line.
on_editAreaBackgroundButton_clicked | Private slot to set the background colour of the edit area.
on_editAreaForegroundButton_clicked | Private slot to set the foreground colour of the edit area.
on_errorMarkerButton_clicked | Private slot to set the colour for the highlight of the error line.
on_foldmarginBackgroundButton_clicked | Private slot to set the background colour for the foldmargin.
on_linenumbersFontButton_clicked | Private method used to select the font for the editor margins.
on_marginsBackgroundButton_clicked | Private slot to set the background colour for the margins.
on_marginsForegroundButton_clicked | Private slot to set the foreground colour for the margins.
on_matchingBracesBackButton_clicked | Private slot to set the background colour for highlighting matching braces.
on_matchingBracesButton_clicked | Private slot to set the colour for highlighting matching braces.
on_monospacedFontButton_clicked | Private method used to select the font to be used as the monospaced font.
on_nonmatchingBracesBackButton_clicked | Private slot to set the background colour for highlighting nonmatching braces.
on_nonmatchingBracesButton_clicked | Private slot to set the colour for highlighting nonmatching braces.
on_selectionBackgroundButton_clicked | Private slot to set the background colour of the selection.
on_selectionForegroundButton_clicked | Private slot to set the foreground colour of the selection.
on_whitespaceBackgroundButton_clicked | Private slot to set the background colour of visible whitespace.
on_whitespaceForegroundButton_clicked | Private slot to set the foreground colour of visible whitespace.
polishPage | Public slot to perform some polishing actions.
save | Public slot to save the Editor Styles configuration.

### Static Methods

None

#### EditorStylesPage (Constructor)

EditorStylesPage()

Constructor

#### EditorStylesPage.on_caretForegroundButton_clicked

on_caretForegroundButton_clicked()

Private slot to set the foreground colour of the caret.

#### EditorStylesPage.on_caretlineBackgroundButton_clicked

on_caretlineBackgroundButton_clicked()

Private slot to set the background colour of the caretline.

#### EditorStylesPage.on_currentLineMarkerButton_clicked

on_currentLineMarkerButton_clicked()

Private slot to set the colour for the highlight of the current line.

#### EditorStylesPage.on_defaultFontButton_clicked

on_defaultFontButton_clicked()

Private method used to select the default font for the editor.

#### EditorStylesPage.on_edgeBackgroundColorButton_clicked

on_edgeBackgroundColorButton_clicked()

Private slot to set the colour for the edge background or line.

#### EditorStylesPage.on_editAreaBackgroundButton_clicked

on_editAreaBackgroundButton_clicked()

Private slot to set the background colour of the edit area.

#### EditorStylesPage.on_editAreaForegroundButton_clicked

on_editAreaForegroundButton_clicked()

Private slot to set the foreground colour of the edit area.

#### EditorStylesPage.on_errorMarkerButton_clicked

on_errorMarkerButton_clicked()

Private slot to set the colour for the highlight of the error line.

#### EditorStylesPage.on_foldmarginBackgroundButton_clicked

on_foldmarginBackgroundButton_clicked()

Private slot to set the background colour for the foldmargin.

#### EditorStylesPage.on_linenumbersFontButton_clicked

on_linenumbersFontButton_clicked()

Private method used to select the font for the editor margins.

#### EditorStylesPage.on_marginsBackgroundButton_clicked

on_marginsBackgroundButton_clicked()

Private slot to set the background colour for the margins.

#### EditorStylesPage.on_marginsForegroundButton_clicked

on_marginsForegroundButton_clicked()

Private slot to set the foreground colour for the margins.

#### EditorStylesPage.on_matchingBracesBackButton_clicked

on_matchingBracesBackButton_clicked()

Private slot to set the background colour for highlighting matching braces.

#### EditorStylesPage.on_matchingBracesButton_clicked

on_matchingBracesButton_clicked()

Private slot to set the colour for highlighting matching braces.

#### EditorStylesPage.on_monospacedFontButton_clicked

on_monospacedFontButton_clicked()

Private method used to select the font to be used as the monospaced font.

#### EditorStylesPage.on_nonmatchingBracesBackButton_clicked

on_nonmatchingBracesBackButton_clicked()

Private slot to set the background colour for highlighting nonmatching braces.

#### EditorStylesPage.on_nonmatchingBracesButton_clicked

on_nonmatchingBracesButton_clicked()

Private slot to set the colour for highlighting nonmatching braces.

#### EditorStylesPage.on_selectionBackgroundButton_clicked

on_selectionBackgroundButton_clicked()

Private slot to set the background colour of the selection.

#### EditorStylesPage.on_selectionForegroundButton_clicked

on_selectionForegroundButton_clicked()

Private slot to set the foreground colour of the selection.

#### EditorStylesPage.on_whitespaceBackgroundButton_clicked

on_whitespaceBackgroundButton_clicked()

Private slot to set the background colour of visible whitespace.

#### EditorStylesPage.on_whitespaceForegroundButton_clicked

on_whitespaceForegroundButton_clicked()

Private slot to set the foreground colour of visible whitespace.

#### EditorStylesPage.polishPage

polishPage()

Public slot to perform some polishing actions.

#### EditorStylesPage.save

save()

Public slot to save the Editor Styles configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up